diff --git a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITPropertyAccess.cpp b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITPropertyAccess.cpp
index 9edfd01..f397fe8 100644
--- a/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITPropertyAccess.cpp
+++ b/src/3rdparty/javascriptcore/JavaScriptCore/jit/JITPropertyAccess.cpp
@@ -55,7 +55,7 @@ void JIT::emit_op_put_by_index(Instruction* currentInstruction)
     unsigned property = currentInstruction[2].u.operand;
     unsigned value = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_put_by_index);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_by_index));
     stubCall.addArgument(base);
     stubCall.addArgument(Imm32(property));
     stubCall.addArgument(value);
@@ -68,7 +68,7 @@ void JIT::emit_op_put_getter(Instruction* currentInstruction)
     unsigned property = currentInstruction[2].u.operand;
     unsigned function = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_put_getter);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_getter));
     stubCall.addArgument(base);
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(property)));
     stubCall.addArgument(function);
@@ -81,7 +81,7 @@ void JIT::emit_op_put_setter(Instruction* currentInstruction)
     unsigned property = currentInstruction[2].u.operand;
     unsigned function = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_put_setter);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_setter));
     stubCall.addArgument(base);
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(property)));
     stubCall.addArgument(function);
@@ -94,7 +94,7 @@ void JIT::emit_op_del_by_id(Instruction* currentInstruction)
     unsigned base = currentInstruction[2].u.operand;
     unsigned property = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_del_by_id);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_del_by_id));
     stubCall.addArgument(base);
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(property)));
     stubCall.call(dst);
@@ -118,7 +118,7 @@ void JIT::emit_op_get_by_val(Instruction* currentInstruction)
     unsigned base = currentInstruction[2].u.operand;
     unsigned property = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_get_by_val);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_get_by_val));
     stubCall.addArgument(base);
     stubCall.addArgument(property);
     stubCall.call(dst);
@@ -135,7 +135,7 @@ void JIT::emit_op_put_by_val(Instruction* currentInstruction)
     unsigned property = currentInstruction[2].u.operand;
     unsigned value = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_put_by_val);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_by_val));
     stubCall.addArgument(base);
     stubCall.addArgument(property);
     stubCall.addArgument(value);
@@ -153,7 +153,7 @@ void JIT::emit_op_get_by_id(Instruction* currentInstruction)
     int base = currentInstruction[2].u.operand;
     int ident = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_get_by_id_generic);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_get_by_id_generic));
     stubCall.addArgument(base);
     stubCall.addArgument(ImmPtr(&(m_codeBlock->identifier(ident))));
     stubCall.call(dst);
@@ -173,7 +173,7 @@ void JIT::emit_op_put_by_id(Instruction* currentInstruction)
     int ident = currentInstruction[2].u.operand;
     int value = currentInstruction[3].u.operand;
 
-    JITStubCall stubCall(this, cti_op_put_by_id_generic);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_by_id_generic));
     stubCall.addArgument(base);
     stubCall.addArgument(ImmPtr(&(m_codeBlock->identifier(ident))));
     stubCall.addArgument(value);
@@ -297,7 +297,7 @@ void JIT::emitSlow_op_get_by_val(Instruction* currentInstruction, Vector<SlowCas
     linkSlowCase(iter); // vector length check
     linkSlowCase(iter); // empty value
 
-    JITStubCall stubCall(this, cti_op_get_by_val);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_get_by_val));
     stubCall.addArgument(base);
     stubCall.addArgument(property);
     stubCall.call(dst);
@@ -348,7 +348,7 @@ void JIT::emitSlow_op_put_by_val(Instruction* currentInstruction, Vector<SlowCas
     linkSlowCase(iter); // base not array check
     linkSlowCase(iter); // in vector check
 
-    JITStubCall stubPutByValCall(this, cti_op_put_by_val);
+    JITStubCall stubPutByValCall(this, JIT_STUB_NAME(cti_op_put_by_val));
     stubPutByValCall.addArgument(base);
     stubPutByValCall.addArgument(property);
     stubPutByValCall.addArgument(value);
@@ -418,7 +418,7 @@ void JIT::compileGetByIdSlowCase(int dst, int base, Identifier* ident, Vector<Sl
 
     Label coldPathBegin(this);
 
-    JITStubCall stubCall(this, isMethodCheck ? cti_op_get_by_id_method_check : cti_op_get_by_id);
+    JITStubCall stubCall(this, isMethodCheck ? JIT_STUB_NAME(cti_op_get_by_id_method_check) : JIT_STUB_NAME(cti_op_get_by_id));
     stubCall.addArgument(regT1, regT0);
     stubCall.addArgument(ImmPtr(ident));
     Call call = stubCall.call(dst);
@@ -472,7 +472,7 @@ void JIT::emitSlow_op_put_by_id(Instruction* currentInstruction, Vector<SlowCase
     linkSlowCaseIfNotJSCell(iter, base);
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_put_by_id);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_by_id));
     stubCall.addArgument(regT1, regT0);
     stubCall.addArgument(ImmPtr(&(m_codeBlock->identifier(ident))));
     stubCall.addArgument(regT3, regT2); 
@@ -546,7 +546,7 @@ void JIT::privateCompilePutByIdTransition(StructureStubInfo* stubInfo, Structure
         // remove the return address from the stack, to prevent the stack from becoming misaligned.
         preserveReturnAddressAfterCall(regT3);
  
-        JITStubCall stubCall(this, cti_op_put_by_id_transition_realloc);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_by_id_transition_realloc));
         stubCall.skipArgument(); // base
         stubCall.skipArgument(); // ident
         stubCall.skipArgument(); // value
@@ -576,11 +576,11 @@ void JIT::privateCompilePutByIdTransition(StructureStubInfo* stubInfo, Structure
 
     LinkBuffer patchBuffer(this, m_codeBlock->executablePool());
 
-    patchBuffer.link(failureCall, FunctionPtr(cti_op_put_by_id_fail));
+    patchBuffer.link(failureCall, FunctionPtr(JIT_STUB_NAME(cti_op_put_by_id_fail)));
 
     if (willNeedStorageRealloc) {
         ASSERT(m_calls.size() == 1);
-        patchBuffer.link(m_calls[0].from, FunctionPtr(cti_op_put_by_id_transition_realloc));
+        patchBuffer.link(m_calls[0].from, FunctionPtr(JIT_STUB_NAME(cti_op_put_by_id_transition_realloc)));
     }
     
     CodeLocationLabel entryLabel = patchBuffer.finalizeCodeAddendum();
@@ -595,7 +595,7 @@ void JIT::patchGetByIdSelf(CodeBlock* codeBlock, StructureStubInfo* stubInfo, St
 
     // We don't want to patch more than once - in future go to cti_op_get_by_id_generic.
     // Should probably go to JITStubs::cti_op_get_by_id_fail, but that doesn't do anything interesting right now.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id_self_fail));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_self_fail)));
 
     int offset = sizeof(JSValue) * cachedOffset;
 
@@ -628,7 +628,7 @@ void JIT::patchMethodCallProto(CodeBlock* codeBlock, MethodCallLinkInfo& methodC
     repatchBuffer.repatch(methodCallLinkInfo.structureLabel.dataLabelPtrAtOffset(patchOffsetMethodCheckProtoStruct), prototypeStructure);
     repatchBuffer.repatch(methodCallLinkInfo.structureLabel.dataLabelPtrAtOffset(patchOffsetMethodCheckPutFunction), callee);
 
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id)));
 }
 
 void JIT::patchPutByIdReplace(CodeBlock* codeBlock, StructureStubInfo* stubInfo, Structure* structure, size_t cachedOffset, ReturnAddressPtr returnAddress)
@@ -637,7 +637,7 @@ void JIT::patchPutByIdReplace(CodeBlock* codeBlock, StructureStubInfo* stubInfo,
 
     // We don't want to patch more than once - in future go to cti_op_put_by_id_generic.
     // Should probably go to cti_op_put_by_id_fail, but that doesn't do anything interesting right now.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_put_by_id_generic));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_put_by_id_generic)));
 
     int offset = sizeof(JSValue) * cachedOffset;
 
@@ -690,7 +690,7 @@ void JIT::privateCompilePatchGetArrayLength(ReturnAddressPtr returnAddress)
     repatchBuffer.relink(jumpLocation, entryLabel);
 
     // We don't want to patch more than once - in future go to cti_op_put_by_id_generic.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id_array_fail));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_array_fail)));
 }
 
 void JIT::privateCompileGetByIdProto(StructureStubInfo* stubInfo, Structure* structure, Structure* prototypeStructure, size_t cachedOffset, ReturnAddressPtr returnAddress, CallFrame* callFrame)
@@ -737,7 +737,7 @@ void JIT::privateCompileGetByIdProto(StructureStubInfo* stubInfo, Structure* str
     repatchBuffer.relink(jumpLocation, entryLabel);
 
     // We don't want to patch more than once - in future go to cti_op_put_by_id_generic.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id_proto_list));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_proto_list)));
 }
 
 
@@ -923,7 +923,7 @@ void JIT::privateCompileGetByIdChain(StructureStubInfo* stubInfo, Structure* str
     repatchBuffer.relink(jumpLocation, entryLabel);
 
     // We don't want to patch more than once - in future go to cti_op_put_by_id_generic.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id_proto_list));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_proto_list)));
 }
 
 /* ------------------------------ END: !ENABLE / ENABLE(JIT_OPTIMIZE_PROPERTY_ACCESS) ------------------------------ */
@@ -1004,7 +1004,7 @@ void JIT::emit_op_put_by_val(Instruction* currentInstruction)
 
 void JIT::emit_op_put_by_index(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_put_by_index);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_by_index));
     stubCall.addArgument(currentInstruction[1].u.operand, regT2);
     stubCall.addArgument(Imm32(currentInstruction[2].u.operand));
     stubCall.addArgument(currentInstruction[3].u.operand, regT2);
@@ -1013,7 +1013,7 @@ void JIT::emit_op_put_by_index(Instruction* currentInstruction)
 
 void JIT::emit_op_put_getter(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_put_getter);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_getter));
     stubCall.addArgument(currentInstruction[1].u.operand, regT2);
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[2].u.operand)));
     stubCall.addArgument(currentInstruction[3].u.operand, regT2);
@@ -1022,7 +1022,7 @@ void JIT::emit_op_put_getter(Instruction* currentInstruction)
 
 void JIT::emit_op_put_setter(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_put_setter);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_setter));
     stubCall.addArgument(currentInstruction[1].u.operand, regT2);
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[2].u.operand)));
     stubCall.addArgument(currentInstruction[3].u.operand, regT2);
@@ -1031,7 +1031,7 @@ void JIT::emit_op_put_setter(Instruction* currentInstruction)
 
 void JIT::emit_op_del_by_id(Instruction* currentInstruction)
 {
-    JITStubCall stubCall(this, cti_op_del_by_id);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_del_by_id));
     stubCall.addArgument(currentInstruction[2].u.operand, regT2);
     stubCall.addArgument(ImmPtr(&m_codeBlock->identifier(currentInstruction[3].u.operand)));
     stubCall.call(currentInstruction[1].u.operand);
@@ -1056,7 +1056,7 @@ void JIT::emit_op_get_by_id(Instruction* currentInstruction)
     Identifier* ident = &(m_codeBlock->identifier(currentInstruction[3].u.operand));
 
     emitGetVirtualRegister(baseVReg, regT0);
-    JITStubCall stubCall(this, cti_op_get_by_id_generic);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_get_by_id_generic));
     stubCall.addArgument(regT0);
     stubCall.addArgument(ImmPtr(ident));
     stubCall.call(resultVReg);
@@ -1077,7 +1077,7 @@ void JIT::emit_op_put_by_id(Instruction* currentInstruction)
 
     emitGetVirtualRegisters(baseVReg, regT0, valueVReg, regT1);
 
-    JITStubCall stubCall(this, cti_op_put_by_id_generic);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_by_id_generic));
     stubCall.addArgument(regT0);
     stubCall.addArgument(ImmPtr(ident));
     stubCall.addArgument(regT1);
@@ -1240,7 +1240,7 @@ void JIT::compileGetByIdSlowCase(int resultVReg, int baseVReg, Identifier* ident
 #ifndef NDEBUG
     Label coldPathBegin(this);
 #endif
-    JITStubCall stubCall(this, isMethodCheck ? cti_op_get_by_id_method_check : cti_op_get_by_id);
+    JITStubCall stubCall(this, isMethodCheck ? JIT_STUB_NAME(cti_op_get_by_id_method_check) : JIT_STUB_NAME(cti_op_get_by_id));
     stubCall.addArgument(regT0);
     stubCall.addArgument(ImmPtr(ident));
     Call call = stubCall.call(resultVReg);
@@ -1303,7 +1303,7 @@ void JIT::emitSlow_op_put_by_id(Instruction* currentInstruction, Vector<SlowCase
     linkSlowCaseIfNotJSCell(iter, baseVReg);
     linkSlowCase(iter);
 
-    JITStubCall stubCall(this, cti_op_put_by_id);
+    JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_by_id));
     stubCall.addArgument(regT0);
     stubCall.addArgument(ImmPtr(ident));
     stubCall.addArgument(regT1);
@@ -1386,7 +1386,7 @@ void JIT::privateCompilePutByIdTransition(StructureStubInfo* stubInfo, Structure
         // remove the return address from the stack, to prevent the stack from becoming misaligned.
         preserveReturnAddressAfterCall(regT3);
  
-        JITStubCall stubCall(this, cti_op_put_by_id_transition_realloc);
+        JITStubCall stubCall(this, JIT_STUB_NAME(cti_op_put_by_id_transition_realloc));
         stubCall.skipArgument(); // base
         stubCall.skipArgument(); // ident
         stubCall.skipArgument(); // value
@@ -1416,11 +1416,11 @@ void JIT::privateCompilePutByIdTransition(StructureStubInfo* stubInfo, Structure
 
     LinkBuffer patchBuffer(this, m_codeBlock->executablePool());
 
-    patchBuffer.link(failureCall, FunctionPtr(cti_op_put_by_id_fail));
+    patchBuffer.link(failureCall, FunctionPtr(JIT_STUB_NAME(cti_op_put_by_id_fail)));
 
     if (willNeedStorageRealloc) {
         ASSERT(m_calls.size() == 1);
-        patchBuffer.link(m_calls[0].from, FunctionPtr(cti_op_put_by_id_transition_realloc));
+        patchBuffer.link(m_calls[0].from, FunctionPtr(JIT_STUB_NAME(cti_op_put_by_id_transition_realloc)));
     }
     
     CodeLocationLabel entryLabel = patchBuffer.finalizeCodeAddendum();
@@ -1435,7 +1435,7 @@ void JIT::patchGetByIdSelf(CodeBlock* codeBlock, StructureStubInfo* stubInfo, St
 
     // We don't want to patch more than once - in future go to cti_op_get_by_id_generic.
     // Should probably go to cti_op_get_by_id_fail, but that doesn't do anything interesting right now.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id_self_fail));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_self_fail)));
 
     int offset = sizeof(JSValue) * cachedOffset;
 
@@ -1467,7 +1467,7 @@ void JIT::patchMethodCallProto(CodeBlock* codeBlock, MethodCallLinkInfo& methodC
     repatchBuffer.repatch(methodCallLinkInfo.structureLabel.dataLabelPtrAtOffset(patchOffsetMethodCheckProtoStruct), prototypeStructure);
     repatchBuffer.repatch(methodCallLinkInfo.structureLabel.dataLabelPtrAtOffset(patchOffsetMethodCheckPutFunction), callee);
 
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id)));
 }
 
 void JIT::patchPutByIdReplace(CodeBlock* codeBlock, StructureStubInfo* stubInfo, Structure* structure, size_t cachedOffset, ReturnAddressPtr returnAddress)
@@ -1476,7 +1476,7 @@ void JIT::patchPutByIdReplace(CodeBlock* codeBlock, StructureStubInfo* stubInfo,
 
     // We don't want to patch more than once - in future go to cti_op_put_by_id_generic.
     // Should probably go to cti_op_put_by_id_fail, but that doesn't do anything interesting right now.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_put_by_id_generic));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_put_by_id_generic)));
 
     int offset = sizeof(JSValue) * cachedOffset;
 
@@ -1526,7 +1526,7 @@ void JIT::privateCompilePatchGetArrayLength(ReturnAddressPtr returnAddress)
     repatchBuffer.relink(jumpLocation, entryLabel);
 
     // We don't want to patch more than once - in future go to cti_op_put_by_id_generic.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id_array_fail));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_array_fail)));
 }
 
 void JIT::privateCompileGetByIdProto(StructureStubInfo* stubInfo, Structure* structure, Structure* prototypeStructure, size_t cachedOffset, ReturnAddressPtr returnAddress, CallFrame* callFrame)
@@ -1572,7 +1572,7 @@ void JIT::privateCompileGetByIdProto(StructureStubInfo* stubInfo, Structure* str
     repatchBuffer.relink(jumpLocation, entryLabel);
 
     // We don't want to patch more than once - in future go to cti_op_put_by_id_generic.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id_proto_list));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_proto_list)));
 }
 
 void JIT::privateCompileGetByIdSelfList(StructureStubInfo* stubInfo, PolymorphicAccessStructureList* polymorphicStructures, int currentIndex, Structure* structure, size_t cachedOffset)
@@ -1751,7 +1751,7 @@ void JIT::privateCompileGetByIdChain(StructureStubInfo* stubInfo, Structure* str
     repatchBuffer.relink(jumpLocation, entryLabel);
 
     // We don't want to patch more than once - in future go to cti_op_put_by_id_generic.
-    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(cti_op_get_by_id_proto_list));
+    repatchBuffer.relinkCallerToFunction(returnAddress, FunctionPtr(JIT_STUB_NAME(cti_op_get_by_id_proto_list)));
 }
 
 /* ------------------------------ END: !ENABLE / ENABLE(JIT_OPTIMIZE_PROPERTY_ACCESS) ------------------------------ */
